The Trove library is licensed under the Lesser GNU Public License,
which is included with the distribution in a file called LICENSE.txt.


The PrimeFinder and HashFunctions classes in Trove are subject to the
following license restrictions:

Copyright (c) 1999 CERN - European Organization for Nuclear Research.

Permission to use, copy, modify, distribute and sell this software and
its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation. CERN makes no representations about the
suitability of this software for any purpose. It is provided "as is"
without expressed or implied warranty.

